OGRE: Ogre::FrameTimeControllerValue Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::FrameTimeControllerValue Class Reference
Core » General

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:
[legend]

## Public Member Functions
| FrameTimeControllerValue ()
bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered. More...
virtual bool | frameRenderingQueued (const FrameEvent &evt)
| Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over. More...
bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering. More...
Real | getElapsedTime (void) const
Real | getFrameDelay (void) const
Real | getTimeFactor (void) const
Real | getValue (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setElapsedTime (Real elapsedTime)
void | setFrameDelay (Real fd)
void | setTimeFactor (Real tf)
void | setValue (Real value)

## Detailed Description

Predefined controller value for getting the latest frame time.

## Constructor & Destructor Documentation

## ◆ FrameTimeControllerValue()

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

## Member Function Documentation

## ◆ frameEnded()

bool Ogre::FrameTimeControllerValue::frameEnded | ( | const FrameEvent & | evt | ) |
| virtual

Called just after a frame has been rendered.

Remarks
  This event happens after all render targets have been fully updated and the buffers switched.

Returns
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

## ◆ frameRenderingQueued()

virtual bool Ogre::FrameListener::frameRenderingQueued | ( | const FrameEvent & | evt | ) |
| inlinevirtualinherited

Called after all render targets have had their rendering commands issued, but before render windows have been asked to flip their buffers over.

Remarks
  The usefulness of this event comes from the fact that rendering commands are queued for the GPU to process. These can take a little while to finish, and so while that is happening the CPU can be doing useful things. Once the request to 'flip buffers' happens, the thread requesting it will block until the GPU is ready, which can waste CPU cycles. Therefore, it is often a good idea to use this callback to perform per-frame processing. Of course because the frame's rendering commands have already been issued, any changes you make will only take effect from the next frame, but in most cases that's not noticeable.

Returns
  True to continue rendering, false to drop out of the rendering loop.

## ◆ frameStarted()

bool Ogre::FrameTimeControllerValue::frameStarted | ( | const FrameEvent & | evt | ) |
| virtual

Called when a frame is about to begin rendering.

Remarks
  This event happens before any render targets have begun updating.

Returns
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

## ◆ getElapsedTime()

Real Ogre::FrameTimeControllerValue::getElapsedTime | ( | void |  | ) | const

## ◆ getFrameDelay()

Real Ogre::FrameTimeControllerValue::getFrameDelay | ( | void |  | ) | const

## ◆ getTimeFactor()

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( | void |  | ) | const

## ◆ getValue()

Real Ogre::FrameTimeControllerValue::getValue | ( | void |  | ) | const
| virtual

Implements Ogre::ControllerValue< Real >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setElapsedTime()

void Ogre::FrameTimeControllerValue::setElapsedTime | ( | Real | elapsedTime | ) |

## ◆ setFrameDelay()

void Ogre::FrameTimeControllerValue::setFrameDelay | ( | Real | fd | ) |

## ◆ setTimeFactor()

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

## ◆ setValue()

void Ogre::FrameTimeControllerValue::setValue | ( | Real | value | ) |
| virtual

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h